addpath('../Tools');


clear all

load = 'ESTATE';
load = 'RTK';
movie = true; % Save animation to video file or not
%movie = false;


%% Breivika 30/04-15
if strcmp(load,'ESTATE')
    mainpath = 'Data\Formation\20150430';
    simpleFormation = [0, 0, 0;...
                       10.47, -4.87, 0]';
    D = [-1, 1]';
    use = [2,3,5];
    %use = 2
    error2D = false;
    plotGuidedOnly = true;
    formationThreshold = 2.1;
    %plotView = [-120,30];
    plotView = [-160,40];
    textOffset = 2;
    margin = 1;
    legendDesiredLocation = 'north';
    legend3Dlocation = 'northeast';
end

%% Breivika 28/05-15
if strcmp(load,'RTK')
    mainpath = 'Data\Formation\20150528';
    simpleFormation = [0, 0, 0;...
                       10.5, -5, 0]';
    D = [-1, 1]';
    use = [2,4];
    use = 2;
    error2D = true;
    plotGuidedOnly = true;
    formationThreshold = 2;
    %plotView = [-132,26];
    plotView = [-160,40];
    textOffset = 2;
    margin = 1;
    legendDesiredLocation = 'north';
    legend3Dlocation = 'northeast';
    ESTATEoffset = true;
    plotESTATE = true;
end

%% Extract
ReportRTK = false;

contents = dir(mainpath);
folders = {contents([contents.isdir] & ~strncmpi('.', {contents.name}, 1)).name};
for i = 1:numel(folders)
    F{i}.agents = {'hexa-003','hexa-004'};
    F{i}.path = fullfile(mainpath,folders{i});
    F{i}.name = strrep(folders{i},'_',' ');
    F{i}.plotGuidedOnly = plotGuidedOnly;
    F{i}.formationThreshold = formationThreshold;
    F{i}.ReportRTK = ReportRTK;
    F{i}.D = D;
    F{i}.error2D = error2D;
    F{i}.plotView = plotView;
    F{i}.margin = margin;
    F{i}.textOffset = textOffset;
    F{i}.plotWPaltitude = false;
    F{i}.movie = movie;

    if strfind(folders{i},'WP')
        F{i}.WPtracking = true;
    end
    if strfind(folders{i},'simpleFormation')
        F{i}.X = simpleFormation;
    end
    if exist('legend3Dlocation')
        F{i}.legend3Dlocation = legend3Dlocation;
    end
    if exist('legend2Dlocation')
        F{i}.legend2Dlocation = legend2Dlocation;
    end
    if exist('legendDesiredLocation')
        F{i}.legendDesiredLocation = legendDesiredLocation;
    end
    if exist('ESTATEoffset')
        F{i}.ESTATEoffset = ESTATEoffset;
    end
    if exist('plotESTATE')
        F{i}.plotESTATE = plotESTATE;
    end
    
    F{i} = ExtractFormationData(F{i});
end

%% Plot stuff & export
export = true; % True => Export to eps in tex folder
export = false;
animateOnly = true; % True => Only show animation
%animateOnly = false;

plotAndExport;