addpath('../Tools');


clear all


%% AP-SIL
mainpath = 'C:\Users\jonhakr\Dropbox\NTNU\Masteroppgave\matlab\Experiments\Data\AP-SIL\20150526';
D = [-1, 1, 0;
     -1, 0, 1;
     0, 1, -1]';
X = [0, 0, 0;
     10, -5, -4;
     10 5 -2]';
use = 3;
error2D = false;
plotGuidedOnly = false;
formationThreshold = 1;
plotView = [-160,40];
textOffset = 2.5;
margin = 0.25;
legend3Dlocation = 'northwest';
movie = true; % Save animation to video file or not

%% Extract
ReportRTK = false;

contents = dir(mainpath);
folders = {contents([contents.isdir] & ~strncmpi('.', {contents.name}, 1)).name};
for i = 1:numel(folders)
    F{i}.agents = {'hexa-testbed','hexa-002','hexa-003'};
    F{i}.path = fullfile(mainpath,folders{i});
    F{i}.name = strrep(folders{i},'_',' ');
    F{i}.plotGuidedOnly = plotGuidedOnly;
    F{i}.formationThreshold = formationThreshold;
    F{i}.ReportRTK = ReportRTK;
    F{i}.D = D;
    F{i}.X = X;
    F{i}.error2D = error2D;
    F{i}.plotView = plotView;
    F{i}.margin = margin;
    F{i}.textOffset = textOffset;
    F{i}.plotWPaltitude = true;
    F{i}.movie = movie;
    
    if strfind(folders{i},'WP')
        F{i}.WPtracking = true;
    end
    if exist('legend3Dlocation')
        F{i}.legend3Dlocation = legend3Dlocation;
    end
    if exist('legend2Dlocation')
        F{i}.legend2Dlocation = legend2Dlocation;
    end
    if exist('legendDesiredLocation')
        F{i}.legendDesiredLocation = legendDesiredLocation;
    end
    
    F{i} = ExtractFormationData(F{i});
end

%% Plot stuff & export
export = true; % True => Export to eps in tex folder
export = false;
animateOnly = true; % True => Only show animation

plotAndExport;