addpath('Functions');
addpath('../Tools');

%% Load and extract
clear F

% Settings
mainpath = 'Data\Formation\20150430';
contents = dir('Data\Formation\20150430');
folders = {contents([contents.isdir] & ~strncmpi('.', {contents.name}, 1)).name};

D = [-1, 1]';
simpleFormation = [0, 0, 0;...
                   10.47, -4.87, 0]';
plotGuidedOnly = true;
formationThreshold = 1;
ReportRTK = false;
export = true;

% Extract
for i = 1:numel(folders)
    F{i}.agents = {'hexa-003','hexa-004'};
    F{i}.path = fullfile(mainpath,folders{i});
    F{i}.name = strrep(folders{i},'_',' ');
    F{i}.plotGuidedOnly = plotGuidedOnly;
    F{i}.formationThreshold = formationThreshold;
    F{i}.ReportRTK = ReportRTK;
    F{i}.D = D;
    
    if strfind(folders{i},'WP')
        F{i}.WPtracking = true;
    end
    if strfind(folders{i},'simpleFormation')
        %F{i}.desiredFormation = simpleFormation;
        F{i}.X = simpleFormation;
    end
    
    F{i} = ExtractFormationData(F{i});
end

%% Plot stuff & export

%for i = 1:numel(F)-7 % Ignoring 3 last
for i = 3
    h1 = figure(4*i-3);
    PlotFormation2D(F{i})
    
%     h2 = figure(4*i-2);
%     PlotFormationAltitude(F{i})
%     
%     h3 = figure(4*i-1);
%     PlotFormationErrors(F{i})
%     
%     h4 = figure(4*i);
%     PlotFormationVelocity(F{i})
    
    if export
        % Export to latex
        exportPlot(4*i-3,sprintf('pos_%s',folders{i}),'full','golden');
        exportPlot(4*i-2,sprintf('alt_%s',folders{i}),'full',2/1);
        exportPlot(4*i-1,sprintf('err_%s',folders{i}),'full','golden');
        exportPlot(4*i,sprintf('vel_%s',folders{i}),'full');
    end
end