addpath('Functions');

%% Path Vel
clear F
F.agents = {'hexa-003'};
F.path = 'Data\Single\20150429\142847_pathVel';

%% Path Vel with Refmodel
clear F
F.agents = {'hexa-003'};
F.path = 'Data\Single\20150429\142928_pathVel_ref';

%% Hold formation with WP
clear F
F.agents = {'hexa-003', 'hexa-004'};
F.path = 'Data\Formation\20150430\105003_formCont_pathVel_ref_1WP';
F.plotAltitude = true;
F.WPtracking = true;


%% Given formation without WP
clear F
F.agents = {'hexa-003', 'hexa-004'};
F.path = 'Data\Formation\20150430\110415_formCont_simpleFormation';
F.desiredFormation = [0, 0, 0;...
                      10.47, -4.87, 0]';
F.plotAltitude = true;
            
%% Given formation with WP
clear F
F.agents = {'hexa-003', 'hexa-004'};
F.path = 'Data\Formation\20150430\110450_formCont_pathVel_simpleFormation_1WP';
F.desiredFormation = [0, 0, 0;...
                      10.47, -4.87, 0]';
F.plotAltitude = true;
F.WPtracking = true;
            
%% Given formation with 2 WPs
clear F
F.agents = {'hexa-003', 'hexa-004'};
F.path = 'Data\Formation\20150430\111630_formCont_pathVel_2WP_simpleFormation';
F.desiredFormation = [0, 0, 0;...
                      10.47, -4.87, 0]';
F.plotAltitude = true;
F.WPtracking = true;

%%
figure(1)
Plot2DposWP(D1)
figure(2)
PlotVelocity(D1)

figure(3)
Plot2DposWP(D2)
figure(4)
PlotVelocity(D2)

%% Extract and plot stuff
F = ExtractFormationData(F);
figure(5)
PlotFormation2D(F)
figure(6)
PlotFormationErrors(F)