function PlotDesiredSimFormation(F)

col = get(groot,'DefaultAxesColorOrder');
clf


hold on
legends = {};
legendIDs = [];
for i = 1:F.N
    legendIDs(end+1) = plot3_NED(F.X(:,i)',...
        'o',col(i,:));
    legends{end+1} = sprintf('Agent %g', i);
end

hold off
grid on
%title('Position');
%axis image

% Add legends
h = legend(legendIDs, legends);
if ~isfield(F,'legendDesiredLocation')
    F.legendDesiredLocation = 'best';
end
h.Location = F.legendDesiredLocation;

axis('equal')
view(F.plotView)


% Add title
if isfield(F,'name')
    suptitle(F.name)
end

end

