function PlotSimulationAltitude(F)

textOffset = 0.4; % Text offset
col = get(groot,'DefaultAxesColorOrder');
clf

% Find first index in formation
idx_inForm = 0;
for i = 1:F.SynchedFormPos.N
    if F.SynchedFormPos.inFormation(i)
        idx_inForm = i;
        break;
    end
end

%% Plot altitudes (Down coordinates)

t_0 = F.SynchedFormPos.t(1);
time = F.SynchedFormPos.t - t_0;

hold on
for i = 1:numel(F.agents)
    % Altitude
    plot(time, F.SynchedFormPos.z{i},...
        '--','Color',col(i,:));
    % In formation
    plot(time(F.SynchedFormPos.inFormation),...
        F.SynchedFormPos.z{i}(F.SynchedFormPos.inFormation),...
        '.','Color',col(i,:));
end

% % Plot desired vertical formation
% if idx_inForm
%     for link = 1:F.L
%         i_neg = 0;
%         i_pos = 0;
%         for agent = 1:numel(F.D(:,link))
%             if F.D(agent,link) == -1
%                 i_neg = agent;
%             elseif F.D(agent,link) == 1
%                 i_pos = agent;
%             end
%         end
%         Zneg = F.SynchedFormPos.z{i_neg}(idx_inForm);
%         Zpos = F.SynchedFormPos.z{i_pos}(idx_inForm);
%         
%         
%         plot([time(idx_inForm),time(idx_inForm)],[Zneg,Zpos],...
%             '-.k');         
%         plot(time(idx_inForm),Zneg,...
%             'sk');
%         plot(time(idx_inForm),Zpos,...
%             'sk');
%         
%         % Plot value of desired formation
%         text(time(idx_inForm)+textOffset,mean([Zneg,Zpos]),...
%             sprintf('z_%d = [%.1f, %.1f, %.1f]^T',...
%             link, F.Z(1,link), F.Z(2,link), F.Z(3,link)));
%     end
% end

hold off
grid on
xlabel('Time [s]');
ylabel('Down [s]');
set(gca,'ydir','reverse')
%title('Altitude');
%axis tight


% Add title
if isfield(F,'name')
    suptitle(F.name)
end
end