function PlotSimulationErrors(F)
%UNTITLED4 Summary of this function goes here
%   Detailed explanation goes here

clf;
t_0 = F.SynchedFormPos.t(1);
time = F.SynchedFormPos.t-t_0;
col = get(groot,'DefaultAxesColorOrder');
plotLengths = false;
coord = {'x','y','z'};
lcoord = {'N','E','D'};

%% Plot link length
if plotLengths
    legends = {};
    legendIDs = [];
    hl1 = subplot(211);
    hold on
    for i = 1:3
        legendIDs(end+1) = plot(time,...
            F.SynchedFormPos.(coord{i}){2} - F.SynchedFormPos.(coord{i}){1},...
            'Color',col(i,:));
        legends{end+1} = lcoord{i};
        plot([0,time(end)], [F.desiredDistance(i),F.desiredDistance(i)],...
            '--','Color',col(i,:));
    end
    % % Add custom Y-ticks
    % ylab = hl1.YTick;
    % hl1.YTick = unique(sort([ylab, F.desiredDistance']));
    grid on
    xlabel('Time [s]')
    ylabel('Length [m]')
    hold off
    axis tight
    
    % Add legends
    legend(legendIDs, legends)
    
    % Make next subplot
    hl2 = subplot(212);
    
    % Partition subplots in height
    % sppart = 0.5
    % set(hl1,'OuterPosition',[0,1-sppart,1,sppart]);
    % set(hl2,'OuterPosition',[0,0,1,1-sppart]);
end


%% Plot link error
legends = {};
legendIDs = [];
hold on
for i = 1:3
    legendIDs(end+1) = plot(time,...
        abs...
        (F.desiredDistance(i) -...
        (F.SynchedFormPos.(coord{i}){2} - F.SynchedFormPos.(coord{i}){1})),...
        'Color',col(i,:));
    legends{end+1} = lcoord{i};
end
grid on
xlabel('Time [s]')
ylabel('Error [m]')
hold off
axis tight

% Add legends
legend(legendIDs, legends)


% Add title
if isfield(F,'name')
    suptitle(F.name)
end
end
