function AnimateFormation3D(F)


speed = 5;
t_0 = F.SynchedFormPos.t(1);
time = F.SynchedFormPos.t - t_0;
t = 1;
h = 0.05;
if F.movie
    M = cell(1,F.SynchedFormPos.N);
end
col = get(groot,'DefaultAxesColorOrder');

while t < F.SynchedFormPos.N
    timeToDraw = tic;
    clf;
    hold on;
    for a = 1:F.N
        pos_i = squeeze(F.SynchedFormPos.X(:,a,1:t))';
        % Starting position
        plot3_NED(pos_i(1,:),...
            'x',col(a,:));
        % Position
        plot3_NED(pos_i,...
            '--',col(a,:));
        % In formation
        plot3_NED(pos_i(F.SynchedFormPos.inFormation(1:t),:),...
            '.',col(a,:));
        % Final position
        plot3_NED(pos_i(end,:),...
            'o',col(a,:));
        
        if F.WPtracking
            for i = 1:F.WP.N
                % Only plot if not looped WP
                if i == 1 || F.WP.ned(1,i) ~= F.WP.ned(1,1) || F.WP.ned(2,i) ~= F.WP.ned(2,1)
                    WP = F.WP.ned(:,i)';
                    if ~F.plotWPaltitude
                        WP(3) = 0;
                    end
                    plot3_NED(WP,...
                        'p',col(i+F.N,:));
                    % Plot column for better visibility
                    plot3_NED([WP(1:2), 0; WP(1:2), F.lim_z(1)], ...
                        '-',col(i+F.N,:));
                end
            end
        end
    end
    title(sprintf('Time [s]: %.3f', time(t)))

    grid on
    axis('equal')
    axis([F.lim_x, F.lim_y, F.lim_z])
    view(F.plotView)

    drawnow

    if F.movie
        M{t} = getframe(gcf);
    end

    timeToDraw = toc(timeToDraw);
    %h = time(t+1)-time(t);
    step = int32(speed*timeToDraw/h);
    if t+step > length(time)
        step = length(time)-t;
    end
    if F.movie
        step = 0.05/h;
    end
    if step < 1
        step = 1;
    end
    t = t + step;
end
if F.movie
    writeVideoMPEG4(M, 20, F.name);
end
end

