function LocalMsg = FilterLocalMsg(log,msg)
%FilterLocalMsg(log, msg) filters local messages of type 'msg' in 'log'.
%
%   Returns only local messages of 'msg' in 'log'. Uses 'src' field in
%   message 'VehicleState' to filter for local messages in 'msg'.

src = log.VehicleState.src(1);
idx = log.(msg).src == src;
LocalMsg = structfun(@(x) x(idx), log.(msg), 'UniformOutput', false);
end

