function PlotFormationErrors(F)
%UNTITLED4 Summary of this function goes here
%   Detailed explanation goes here

clf;
t_0 = F.SynchedFormPos.t(1);
time = F.SynchedFormPos.t-t_0;
col = get(groot,'DefaultAxesColorOrder');

% Plot link errors
hold on
legends = {};
legendIDs = [];
yMax = 0;
for link = 1:F.L
    linkError = sqrt(sum(squeeze(F.SynchedFormPos.Z_tilde(F.errDims,link,:)).^2,1));
    legendIDs(end+1) = plot(time,linkError,...
        '-','Color',col(link,:));
    legends{end+1} = sprintf('Link %d', link);
    yMax = max([yMax,;linkError(:)]);
end

legendIDs(end+1) = plot([time(1), time(end)], [F.formationThreshold,F.formationThreshold],...
    '--k');
legends{end+1} = sprintf('Threshold');


grid on
xlabel('Time [s]')
ylabel('Error [m]')
hold off
%axis tight
axis([time(1),time(end), 0, yMax]);

% Add legends
legend(legendIDs, legends)


% Add title
if isfield(F,'name')
    suptitle(F.name)
end
end
