function PlotFormationVelocity(F)
%UNTITLED Summary of this function goes here
%   Detailed explanation goes here

clf
col = get(groot,'DefaultAxesColorOrder');
dvels = {'u','v','w'};
vels = {'vx','vy','vz'};
ylabs = {'Northward','Eastward','Downward'};
if ~isfield(F,'plotESTATE')
    F.plotESTATE = false;
end

t_0 = F.SynchedFormPos.t(1);


for ii = 1:3
    
    for a = 1:F.N
        subplot(3,F.N,F.N*(ii-1)+a);
        hold on
        
        if ii ~= 3 || ~F.error2D
            plot(F.log{a}.TranslationalSetpoint.timestamp - t_0, ...
                F.log{a}.TranslationalSetpoint.(dvels{ii}), ...
                '--k');%,'Color',col(ii,:));
        end
        
        plot(F.SynchedFormPos.t - t_0, ...
            F.SynchedFormPos.(vels{ii}){a}, ...
            '-','Color',col(ii,:));
        
        if F.plotESTATE
            plot(F.log{a}.EstimatedState.timestamp - t_0, ...
                F.log{a}.EstimatedState.(vels{ii}), ...
                '-.','Color',col(5,:));
        end
        
        if ii == 1
            title(sprintf('Rover %d',a))
        elseif ii == 3
            xlabel('Time [s]')
        end
        if a == 1
            ylabel([ylabs{ii},' [m/s]'])
        end
        
        axis tight
        xlim([0,F.SynchedFormPos.t(end) - t_0]);
        grid on
    end
end

% Add title
if isfield(F,'name')
    suptitle(F.name)
end
end

