function h = plot3_NED(NED_coord, S, color)
%plot3_NED(NED_coord) plots NED_coord in a 3D-plot.
%   plot3 will, given NED coordinates, plot them with North and East
%   interchanged and the Down axis pointing in the wrong direction (Up).
%   plot3_NED also correctly lables the axes with 'North', 'East' and
%   'Down'.
%   
%   Like normal PLOT, various line types, plot symbols and colors may be
%   specified by a string S in plot3_NED(NED_coord, S).

if nargin < 3
    printColor = false;
else
    printColor = true;
end
if nargin < 2
    S = '-';
end

if printColor
    h = plot3(NED_coord(:,1),NED_coord(:,2),NED_coord(:,3),S,'color',color);
else
    h = plot3(NED_coord(:,1),NED_coord(:,2),NED_coord(:,3),S);
end
set(gca,'ydir','reverse')
set(gca,'zdir','reverse')
xlabel('North [m]')
ylabel('East [m]')
zlabel('Down [m]')
end

